Arbor 3: FSM & BT Graph Editor 3.7.0

Public Member Functions | List of all members
ClassTypeConstraintAttribute Class Referenceabstract

A basic Attribute class that imposes a type constraint on a field. More...

Inheritance diagram for ClassTypeConstraintAttribute:

## Public Member Functions
virtual Type | GetBaseType (FieldInfo fieldInfo)
| It returns the base type of constraints. More...
virtual string | GetTypeName (FieldInfo fieldInfo)
| Returns the type name of the constraint. More...
abstract bool | IsConstraintSatisfied (Type type, FieldInfo fieldInfo)
| Whether the constraint is satisfied is judged. More...

## Detailed Description

A basic Attribute class that imposes a type constraint on a field.

Available classes :

- ClassTypeReference
- AnyParameterReference
- ComponentParameterReference
- InputSlotAny
- InputSlotComponent
- InputSlotUnityObject

## Member Function Documentation

## ◆ GetBaseType()

virtual Type GetBaseType | ( | FieldInfo | fieldInfo | ) |
| virtual

It returns the base type of constraints.

Parameters

  fieldInfo | FieldInfo with this attribute specified

Returns
  The base type of constraints

Reimplemented in ClassGenericArgumentAttribute, ClassScriptableObjectAttribute, ClassNotNodeBehaviourAttribute, ClassComponentAttribute, ClassAssetObjectAttribute, ClassNotUnityObjectAttribute, ClassUnityObjectAttribute, and ClassExtendsAttribute.

## ◆ GetTypeName()

virtual string GetTypeName | ( | FieldInfo | fieldInfo | ) |
| virtual

Returns the type name of the constraint.

Parameters

  fieldInfo | FieldInfo with this attribute specified

Returns
  Type name of constraint

Reimplemented in ClassEnumFlagsConstraint, and ClassEnumFieldConstraint.

## ◆ IsConstraintSatisfied()

abstract bool IsConstraintSatisfied | ( | Type | type,
|  | FieldInfo | fieldInfo
| ) |  |
| pure virtual

Whether the constraint is satisfied is judged.

Parameters

  type | Determining type
  fieldInfo | FieldInfo with this attribute specified

Returns
  Returns true if the constraint is satisfied.

Implemented in ClassNotStaticConstraint, ClassEnumFlagsConstraint, ClassEnumFieldConstraint, ClassGenericArgumentAttribute, ClassScriptableObjectAttribute, ClassNotNodeBehaviourAttribute, ClassComponentAttribute, ClassAssetObjectAttribute, ClassNotUnityObjectAttribute, ClassUnityObjectAttribute, and ClassExtendsAttribute.